Bug 40378 - Chainsaw of log4j 1.2 does not show TRACE level
Chainsaw of log4j 1.2 does not show TRACE level
Status: RESOLVED FIXED
Product: Log4j
Classification: Unclassified
Component: chainsaw
1.2
All Windows XP
: P3 normal
: ---
Assigned To: log4j-dev
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2006-08-31 17:01 UTC by Heiko Schepperle
Modified: 2007-04-28 19:41 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Schepperle 2006-08-31 17:01:11 UTC
Chainsaw included in log4j 1.2.13 does not allow to display TRACE messages
because TRACE cannot be selected in the filter list.

I still prefer to use this version to chainsaw v2 therefore I have used the
following workaround:

Change in org.apache.log4j.Priority the method getAllPossiblePriorities():

getAllPossiblePriorities() {
    return new Priority[] {Priority.FATAL, Priority.ERROR, Level.WARN,
Priority.INFO, Priority.DEBUG, Level.TRACE};
  }

I do not know if this solution would harm any other components. Perhaps
Level.OFF at the begin and Level.ALL as the last element could be used also.
Comment 1 Curt Arnold 2006-09-13 19:47:22 UTC
Fixed in rev 443096.  Instead of changing Priority.getAllPossiblePriorities(), I modified 
o.a.l.chainsaw.ControlPanel to create its own array of possible levels.  Appears to address the issue and 
eliminate the potential to break apps that might be surprised by TRACE showing up in all possible 
priorities.